Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.br
Class BrazilianStemFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.br.BrazilianStemFilter

    public final class BrazilianStemFilter

extends TokenFilter

Based on GermanStemFilter

Author:
  João Kramer

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`BrazilianStemFilter(TokenStream in)`
`BrazilianStemFilter(TokenStream in, Set exclusiontable)`

Method Summary
`Token` | `next()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrazilianStemFilter

    public BrazilianStemFilter(TokenStream in)

### BrazilianStemFilter

    public BrazilianStemFilter(TokenStream in,
                               Set exclusiontable)

Method Detail

### next

    public final Token next()
                     throws IOException

  Overrides:
    `next` in class `TokenStream`
  Returns:
    Returns the next token in the stream, or null at EOS.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.